Bug 23303 - Debugging helpers
Summary: Debugging helpers
Status: CLOSED WONTFIX
Alias: None
Product: eCos
Classification: Retired
Component: Debugging   
(Show other bugs)
Version: CVS
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: ecc-bugs-int
QA Contact: ecc-bugs-int
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-04 14:24 UTC by Jesper Skov
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-20 15:47:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jesper Skov 2001-01-04 14:24:55 UTC
Some ideas for debugging helpers (see also 'Debugging helpers' thread on
ecc-target):

 o stack over/underflow (already implemented by Jifl!?)
 o something to catch and alert in case of NULL ptr jumps
 o something to monitor writes to NULL (idle thread - compare that
   above jump is in place).

Comment 1 Alex Schuilenburg 2003-06-20 15:47:12 UTC
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id>23303


Note You need to log in before you can comment on or make changes to this bug.